Subject: Bug#232584: new svnserve init.d script

From: Liu Yubao <[email-masked]>
Date: Sun, 25 Mar 2012 05:40:18 +0800

Sorry, forgot "delaycompress" below the "compress" line in
/etc/logrotate.d/svnserve,
because svnserve doesn't handle SIGHUP signal to reopen log file.

Regards,
Yubao Liu

On Sun, Mar 25, 2012 at 5:33 AM, Liu Yubao <[email-masked]> wrote:
> Hi,
>
> Share my svnserve init.d script.
>
> First, I use user "svn" and group "svn" for svnserve:
>
> [ "`getent group svn`" ] || addgroup --system svn
>
> [ "`getent passwd svn`" ] || adduser --system --home /srv/svn \
>    --shell /bin/false --ingroup svn --disabled-password \
>    --disabled-login --gecos "svnserver server account" svn
>
> Some file paths embedded in /etc/init.d/svnserve and can be adjusted in
> /etc/default/svnserve:
> repository root: /srv/svn
> pid file:  /var/run/svnserve.pid
> log file: /var/log/svnserve.log
> config file: /srv/svn/svnserve.conf  (I used --config-file option
> because I wouldn't like to manage */conf/svnserve.conf)
>
> Files attached, hope that's useful for somebody:-)
> /etc/init.d/svnserve
> /etc/default/svnserve
> /etc/logrotate.d/svnserve
>
> The  /etc/init.d/svnserve is modified from /etc/init.d/skeleton.
>
> Regards,
> Yubao Liu